package login

import (
	"net/http"
	"github.com/tangs-drm/go-tool/log"
	"github.com/tangs-drm/go-tool/util"
	"strings"
)

type FilterFunc func(args util.Map) error

type Filter struct {
	FilterMap map[string]FilterFunc
}

func NewFilter() {
	filter := &Filter{}
	filter.DefaultFilter()
}

func (ft *Filter) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	cookie, err := r.Cookie("session")
	if err != nil || cookie == nil {
		cookie = &http.Cookie{}
	}
	path  := r.URL.Path

	return
}

func (ft *Filter) getFilterFunc(path string) FilterFunc {
	for key := range ft.FilterMap {
		if strings.HasPrefix(key, path) {
			return ft.FilterMap[key]
		}
	}
	return nil
}

func (ft *Filter) Filter(router string, FilterFunc) {
}

func (ft *Filter) Print() {
	log.Debug("Filter Print ---- ")
	for key, _ := range ft.FilterMap {
		log.Debug("-----> %v", key)
	}
}

func (ft *Filter) DefaultFilter() {
	var usrFilter FilterFunc = func() error {
		return nil
	}
	ft.Filter("/usr", usrFilter)
}

func (ft *Filter) FindUser() {

}