package main

import (
	"net/http"
	"github.com/tangs-drm/go-tool/config"
	"github.com/tangs-drm/go-tool/log"
	"github.com/tangs-drm/go-tool/dbm"
	_ "github.com/go-sql-driver/mysql"
	"fmt"
)

func main() {
	var err error

	// 初始化配置文件
	var conf = "config.conf"
	var config = config.NewConfig()
	err = config.Config(conf)
	if err != nil {
		fmt.Println(err)
		log.Error("main read config with conf(%v) error ->(%v)", conf, err)
		return
	}
	config.Print()

	// 初始化数据库
	var db_url = config.String("db_url")
	_, err = dbm.Default(db_url)
	if err != nil {
		fmt.Println(err)
		log.Error("main init db by url(%v) error ->(%v)", db_url, err)
		return
	}
	log.Debug("main init db success")

	var port = config.String("listen_port")
	log.Debug("main start listen on port", port)

	http.ListenAndServe(port, nil)
}